<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="eacd3dd8-1e95-428c-a6af-1aadb9921989" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/MqttRSAClient.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/MqttRSAClient.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/controller/JdbcDemoController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/controller/JdbcDemoController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/entity/Temperature.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/entity/Temperature.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/entity/WebServiceProvince.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/entity/WebServiceProvince.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/entity/WebServiceWeatherInfo.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/rehome/mqttclienttemperature/entity/WebServiceWeatherInfo.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/application.yml" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/resources/application.yml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Enum" />
        <option value="Class" />
        <option value="Interface" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="userSettingsFile" value="C:\Users\Administrator\.m3\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="ProjectId" id="2SgLAAD7fmKYxLWgfQc7MNYMQRi" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_MARK_IGNORED_FILES_AS_EXCLUDED" value="true" />
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$USER_HOME$/Documents/BetterIntelliJ-1.16.zip" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="SDKs" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.20052427" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\Administrator\IdeaProjects\admin-client-temperature" />
      <recent name="$PROJECT_DIR$/src/main/resources" />
      <recent name="$PROJECT_DIR$/src/main/resources/ssl" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.rehome.mqttclienttemperature.entity" />
      <recent name="com.rehome.mqttclienttemperature.config" />
      <recent name="com.rehome.mqttclienttemperature" />
      <recent name="com.rehome.mqttclienttemperature.controller" />
      <recent name="com.rehome.mqttclienttemperature.webservice" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn install:install-file -Dfile=C:\Users\Administrator\ojdbc6.jar -DgroupId=com.oracle -DartifactId=ojdbc6 -Dversion=11.2.0.1.0 -Dpackaging=jar" />
      <command value="mvn install:install-file -Dfile=C:\\Users\\Administrator\\ojdbc6.jar -DgroupId=com.oracle -DartifactId=ojdbc6 -Dversion=11.2.0.1.0 -Dpackaging=jar " />
      <command value="mvn install:install-file -Dfile=C:\Users\Administrator\ojdbc6.jar -DgroupId=com.oracle -DartifactId=ojdbc6 -Dversion=11.2.0.1.0 -Dpackaging=jar " />
    </option>
  </component>
  <component name="RunManager">
    <configuration name="AdminClientTemperatureApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="admin-client-temperature" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.rehome.mqttclienttemperature.AdminClientTemperatureApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="SshConsoleOptionsProvider">
    <option name="myEncoding" value="UTF-8" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="eacd3dd8-1e95-428c-a6af-1aadb9921989" name="Default Changelist" comment="" />
      <created>1689563130167</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1689563130167</updated>
      <workItem from="1689563133484" duration="82000" />
      <workItem from="1689563460455" duration="704000" />
      <workItem from="1711940831815" duration="442000" />
      <workItem from="1711941337955" duration="5101000" />
      <workItem from="1711954046274" duration="238000" />
      <workItem from="1711954364749" duration="297000" />
      <workItem from="1711955359433" duration="1952000" />
      <workItem from="1711962368857" duration="191000" />
      <workItem from="1711962630863" duration="41000" />
      <workItem from="1729042540045" duration="25874000" />
      <workItem from="1729130149340" duration="736000" />
      <workItem from="1729131578985" duration="315000" />
      <workItem from="1729131906683" duration="30000" />
      <workItem from="1729133995491" duration="634000" />
      <workItem from="1729134910615" duration="408000" />
      <workItem from="1729135552784" duration="948000" />
      <workItem from="1729146177964" duration="41000" />
      <workItem from="1729146225566" duration="28000" />
      <workItem from="1729146274348" duration="61000" />
      <workItem from="1729158964614" duration="52000" />
      <workItem from="1729159441991" duration="263000" />
      <workItem from="1729159780560" duration="18000" />
      <workItem from="1729163602114" duration="856000" />
      <workItem from="1729164976826" duration="1670000" />
      <workItem from="1729166709620" duration="25000" />
      <workItem from="1729167075555" duration="196000" />
      <workItem from="1729750638776" duration="637000" />
      <workItem from="1729774152060" duration="312000" />
      <workItem from="1729848263634" duration="521000" />
      <workItem from="1730257563468" duration="1831000" />
      <workItem from="1730260900938" duration="1898000" />
      <workItem from="1730778836030" duration="60000" />
      <workItem from="1731121098979" duration="327000" />
      <workItem from="1731121695314" duration="1328000" />
      <workItem from="1731123043189" duration="844000" />
      <workItem from="1731234451031" duration="1422000" />
      <workItem from="1731235944796" duration="187000" />
      <workItem from="1733300206445" duration="3706000" />
      <workItem from="1733361121432" duration="15033000" />
      <workItem from="1734009610713" duration="7296000" />
      <workItem from="1734240113104" duration="970000" />
      <workItem from="1734089495981" duration="20000" />
      <workItem from="1735610206256" duration="729000" />
      <workItem from="1737893859369" duration="553000" />
      <workItem from="1739253198003" duration="10000" />
      <workItem from="1740888797352" duration="83000" />
      <workItem from="1744771655739" duration="2866000" />
      <workItem from="1744774685514" duration="882000" />
      <workItem from="1744792532086" duration="1668000" />
      <workItem from="1744794454586" duration="20000" />
      <workItem from="1744794979826" duration="1104000" />
      <workItem from="1744852581603" duration="362000" />
      <workItem from="1744855448002" duration="3224000" />
      <workItem from="1744859279484" duration="19530000" />
      <workItem from="1744904630034" duration="1675000" />
      <workItem from="1745386795071" duration="75000" />
      <workItem from="1745736824042" duration="61000" />
      <workItem from="1745736893223" duration="698000" />
      <workItem from="1745737637437" duration="1188000" />
      <workItem from="1745742226908" duration="221000" />
      <workItem from="1746845007085" duration="368000" />
      <workItem from="1746845397716" duration="267000" />
      <workItem from="1746845668767" duration="670000" />
      <workItem from="1747540249390" duration="112000" />
      <workItem from="1747540902720" duration="2539000" />
      <workItem from="1747553672823" duration="9032000" />
      <workItem from="1747564622457" duration="10803000" />
      <workItem from="1747644155888" duration="5369000" />
      <workItem from="1747658293616" duration="1309000" />
      <workItem from="1748326418665" duration="908000" />
      <workItem from="1748348927421" duration="109000" />
      <workItem from="1748349108428" duration="3082000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="XSLT-Support.FileAssociations.UIState">
    <expand />
    <select />
  </component>
</project>